<h1>Course List</h1>

<div class="search-bar-wrap">
    <mat-icon>search</mat-icon>
    <input type="text" class="search-ip" placeholder="Search courses" (input)="searchCourses($event.target.value)">
</div>

<div class="course-list-wrapper">
    <mat-card *ngFor="let course of otherCourseList">
        <h3> {{ course.name }} <span class="course-price">($ {{ course.price }})</span></h3>
        <p class="author-name">By {{ course.author }}</p> 
        <mat-card-content>
            <p> {{ course.description }} </p>
            <div>
                <mat-icon [ngClass]="{ 'selected': rating.isSelected }" *ngFor="let rating of ratings">star</mat-icon>
            </div>
        </mat-card-content>
        <mat-card-actions>
          <span class="buy-now-btn" (click)="buyCourse(course)"> Buy now </span>
          <span class="add-to-cart-btn" (click)="addToCartCourse(course)" mat-button>{{ (course?.isAddedToCart) ? 'Go to cart': 'Add to cart' }}</span>
        </mat-card-actions>
    </mat-card>
</div>